List the disputes on a card transaction
curl --request GET \
--url https://api.lightspark.com/grid/2025-10-13/transactions/{transactionId}/disputes \
--header 'Authorization: Basic <encoded-value>'const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.lightspark.com/grid/2025-10-13/transactions/{transactionId}/disputes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));val client = OkHttpClient()
val request = Request.Builder()
.url("https://api.lightspark.com/grid/2025-10-13/transactions/{transactionId}/disputes")
.get()
.addHeader("Authorization", "Basic <encoded-value>")
.build()
val response = client.newCall(request).execute(){
"data": [
{
"id": "CardDispute:019542f5-b3e7-1d02-0000-000000000200",
"cardTransactionId": "Transaction:019542f5-b3e7-1d02-0000-000000000100",
"status": "OPEN",
"createdAt": "2026-05-08T14:30:05Z",
"updatedAt": "2026-05-09T09:12:46Z",
"cardId": "Card:019542f5-b3e7-1d02-0000-000000000010",
"disposition": "WON",
"disputedAmount": {
"amount": 12550,
"currency": {
"code": "USD",
"name": "United States Dollar",
"symbol": "$",
"decimals": 2
}
},
"provisionalCreditAmount": {
"amount": 12550,
"currency": {
"code": "USD",
"name": "United States Dollar",
"symbol": "$",
"decimals": 2
}
},
"openedAt": "2026-05-08T14:30:00Z",
"issuerUpdatedAt": "2026-05-09T09:12:44Z"
}
]
}{
"code": "UNAUTHORIZED",
"reason": "<string>",
"details": {}
}{
"code": "TRANSACTION_NOT_FOUND",
"reason": "<string>",
"details": {}
}{
"code": "GRID_SWITCH_ERROR",
"reason": "<string>",
"details": {}
}Cards
List the disputes on a card transaction
Returns every dispute on a card transaction, newest first. Opening a dispute does not change the transaction’s status.
GET
/
transactions
/
{transactionId}
/
disputes
List the disputes on a card transaction
curl --request GET \
--url https://api.lightspark.com/grid/2025-10-13/transactions/{transactionId}/disputes \
--header 'Authorization: Basic <encoded-value>'const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.lightspark.com/grid/2025-10-13/transactions/{transactionId}/disputes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));val client = OkHttpClient()
val request = Request.Builder()
.url("https://api.lightspark.com/grid/2025-10-13/transactions/{transactionId}/disputes")
.get()
.addHeader("Authorization", "Basic <encoded-value>")
.build()
val response = client.newCall(request).execute(){
"data": [
{
"id": "CardDispute:019542f5-b3e7-1d02-0000-000000000200",
"cardTransactionId": "Transaction:019542f5-b3e7-1d02-0000-000000000100",
"status": "OPEN",
"createdAt": "2026-05-08T14:30:05Z",
"updatedAt": "2026-05-09T09:12:46Z",
"cardId": "Card:019542f5-b3e7-1d02-0000-000000000010",
"disposition": "WON",
"disputedAmount": {
"amount": 12550,
"currency": {
"code": "USD",
"name": "United States Dollar",
"symbol": "$",
"decimals": 2
}
},
"provisionalCreditAmount": {
"amount": 12550,
"currency": {
"code": "USD",
"name": "United States Dollar",
"symbol": "$",
"decimals": 2
}
},
"openedAt": "2026-05-08T14:30:00Z",
"issuerUpdatedAt": "2026-05-09T09:12:44Z"
}
]
}{
"code": "UNAUTHORIZED",
"reason": "<string>",
"details": {}
}{
"code": "TRANSACTION_NOT_FOUND",
"reason": "<string>",
"details": {}
}{
"code": "GRID_SWITCH_ERROR",
"reason": "<string>",
"details": {}
}Authorizations
API token authentication using format <api token id>:<api client secret>
Path Parameters
The id of the card transaction.
Response
The transaction's disputes.
The disputes on one card transaction. The list is not paginated.
The transaction's disputes.
Show child attributes
Show child attributes
Was this page helpful?